com.aliyun.svideosdk.mixrecorder

## Class AliyunMixBorderParam.Builder

- java.lang.Object
- - com.aliyun.svideosdk.mixrecorder.AliyunMixBorderParam.Builder

- Enclosing class:
    AliyunMixBorderParam

      public static final class AliyunMixBorderParam.Builder
      extends java.lang.Object

  `AliyunMixBorderParam` builder static inner class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunMixBorderParam.Builder` | `borderColor(int color)` Set the border color of the video
    `AliyunMixBorderParam.Builder` | `borderWidth(int width)` Set the border width of the video
    `AliyunMixBorderParam` | `build()`
    `AliyunMixBorderParam.Builder` | `cornerRadius(float radius)` Set the video radians of corner radius

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### borderWidth

          public AliyunMixBorderParam.Builder borderWidth(int width)

      Set the border width of the video
      Parameters:
        `width` - border width in pixel
      Returns:
        A reference to this Builder.

    - #### borderColor

          public AliyunMixBorderParam.Builder borderColor(int color)

      Set the border color of the video
      Parameters:
        `color` - border color
      Returns:
        A reference to this Builder.

    - #### cornerRadius

          public AliyunMixBorderParam.Builder cornerRadius(float radius)

      Set the video radians of corner radius
      Parameters:
        `radius` - corner radius
      Returns:
        A reference to this Builder.

    - #### build

          public AliyunMixBorderParam build()

      Returns:
        A `AliyunMixBorderParam` built with parameters of `AliyunMixBorderParam.Builder`.